## dcl-c 7.0.1

=== bin/Makefile ===
#
#       Makefile for bin
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude

LIBSRCS 	= $(DCLCONFVER) $(DCLCC)
INSTSRC		= cdcldate$(EXT) cdclver$(EXT) cdclexec$(EXT) cdcltrf$(EXT) \
		  cdclclr$(EXT)  cdcldbs$(EXT) cdclfont$(EXT) cdclpara$(EXT) \
		  cdcltone$(EXT) cdclcmap$(EXT) crepsl$(EXT) \
			cdclfontlist$(EXT) cdclsysfont$(EXT) cdclfontdialog$(EXT) \
		  cdclps2kdraw	cdclpscat	cdclpsfix \
		  cdclpsfont	cdclpsline	cdclpsmargin \
		  cdclpsmerge	cdclpsnup	cdclpsrgb2cmyk \
		  cdclpsrmcm	cdclpsrot	cdclpsselect \
		  dclpsseparate	dclpsunrot


all: $(DCLCONFVER) $(DCLCC)

$(DCLCONFVER): dclconfig.org
	@echo "Making shell script $(DCLCONFVER)"
	@$(SED) \
	     -e 's!@prefix@!$(prefix)!' \
	     -e 's!@DCLVERSION@!$(DCLVERSION)!' \
	     -e 's!@DCLVERNUM@!$(DCLVERNUM)!' \
	     -e 's!@DCLLANG@!$(DCLLANG)!' \
	     -e 's!@BINDIR@!$(BINDIR)!' \
	     -e 's!@LIBDIR@!$(LIBDIR)!' \
	     -e 's!@INCDIR@!$(INCDIR)!' \
	     -e 's!@DCLLIBNAME@!$(DCLLIBNAME)!' \
	     -e 's!@DCLLIBFILE@!$(DCLLIBFILE)!' \
	     -e 's!@DCLLIBOPT@!$(DCLLIBOPT)!' \
	     -e 's!@DCLLIBPATH@!$(DCLLIBPATH)!' \
	     -e 's!@DBASENAME@!$(DBASENAME)!' \
	     -e 's!@DBASEDIR@!$(DBASEDIR)!' \
	     -e 's!@XINCPATH@!$(XINCPATH)!' \
	     -e 's!@XLIBPATH@!$(XLIBPATH)!' \
	     -e 's!@XLIBOPT@!$(XLIBOPT)!' \
	     -e 's!@CC@!$(CC)!' \
	     -e 's!@CFLAGS@!$(CFLAGS)!' \
	     -e 's!@FC@!$(FC)!' \
	     -e 's!@FFLAGS@!$(FFLAGS)!' \
	     -e 's!@LDFLAGS@!$(LDFLAGS)!' \
	     -e 's!@LDLIBS@!$(LDLIBS)!' \
	     -e 's!@GTKVERSION@!$(GTKVERSION)!' \
	         dclconfig.org > $(DCLCONFVER)
	@chmod +x $(DCLCONFVER)


$(DCLCC): dclcc.org
	@echo "Making shell script $(DCLCC)"
	@sed -e 's!@PATH@!$(BINDIR)!' dclcc.org > $(DCLCC)
	@chmod +x $(DCLCC)

install:
	@-if (test $(BINDIR) != $(LBINDIR)) then \
	$(CP) $(LIBSRCS) $(INSTSRC) $(BINDIR); fi
	$(RM) $(BINDIR)/$(DCLCONFIG)
	ln -s $(DCLCONFVER) $(BINDIR)/$(DCLCONFIG)

clean:
	$(RM) *~ $(INSTSRC) $(DCLCONFIG) $(DCLCONFVER) $(DCLCC)

distclean:
	$(RM) *~ $(INSTSRC) $(DCLCONFIG) $(DCLCONFVER) $(DCLCC)
