=== demo/misc1/chglib/Makefile ===
#
#       Makefile for chglib (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= chglib
LIBSRCS		= chgl01.c
LIBDEMO 	= chgl01
LIBEXEC 	= chgl01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace
