=== src/grph2/uwpack/Makefile ===
#
#       Makefile for uwpack
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#
include ../../../Mkinclude

.SUFFIXES: $(SUFFIXES) .g

LIBNAME		= uwpack
LIBFSRCS1	= uwsgxa.c uwsgya.c uwqgxi.c uwqgyi.c ruwgx.c  ruwgy.c
LIBFSRCS2	= iuwgx.c  iuwgy.c  uwdflt.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= uwsgxa.o uwsgya.o uwqgxi.o uwqgyi.o ruwgx.o  ruwgy.o  \
		  iuwgx.o  iuwgy.o  uwdflt.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)

all: source object

.g.c:
	@echo "Substituting maximum number of grid points" $< "->" $@
	@sed -e "s!@MAXNGRID!$(MAXNGRID)!g" $< > $@

source: $(LIBFSRCS1)

object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~ $(LIBFSRCS1)
