=== src/grph2/uypack/Makefile ===
#
#       Makefile for uypack
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uypack
LIBFSRCS	= uyptmz.c uyplba.c uyplbb.c uysaxz.c uysaxs.c uysoff.c \
		  uypaxs.c uyptmk.c uyplbl.c uypnum.c uypttl.c uyaxlb.c \
		  uyaxnm.c uyaxdv.c uymttl.c uysttl.c luychk.c uysfmt.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= uyptmz.o uyplba.o uyplbb.o uysaxz.o uysaxs.o uysoff.o \
		  uypaxs.o uyptmk.o uyplbl.o uypnum.o uypttl.o uyaxlb.o \
		  uyaxnm.o uyaxdv.o uymttl.o uysttl.o luychk.o uysfmt.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
