=== debian/changelog ===
dcl-c (7.0.1-3) unstable; urgency=medium

  * Drop transitional packages

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 27 Jul 2016 11:45:34 +0200

dcl-c (7.0.1-2) unstable; urgency=medium

  * Drop dcl-c-utils
  * Add empty manpages
  * Update patch: enable hardening
  * Update: create libcdcl7.triggers for jessie

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 27 Jul 2016 09:44:20 +0200

dcl-c (7.0.1-1) unstable; urgency=medium

  * Imported Upstream version 7.0.1
  * Remove junk files in upstream tarball
  * Update: Bump soname, create new shared library package
  * Refresh patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 20 Jul 2016 16:36:18 +0900
