=== debian/control ===
Source: dcl-c
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 9.0~),
	dpkg-dev (>= 1.16.1~),
	autotools-dev,
	libx11-dev,
	libgtk2.0-dev,
	libglib2.0-dev,
	chrpath,
	rdtool
Standards-Version: 3.9.8
Homepage: http://www.gfd-dennou.org/library/dcl

Package: dcl-c
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: libcdcl-dev, ${misc:Depends}
Description: GFD-DENNOU Club Library (DCL) - C version
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 This package provides C version, contains following libraries:
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package is metapackage, install libcdcl-dev

Package: libcdcl-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Breaks: dcl-c-utils (<< 7~)
Replaces: dcl-c-utils (<< 7~)
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-dclfonts,
	libcdcl7 (= ${binary:Version}),
	libx11-dev,
	libgtk2.0-dev,
	libglib2.0-dev
Description: GFD-DENNOU Club Library (DCL) - C ver. - static libraries and header files
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 This package provides C version, contains following libraries:
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides static libraries, header, wrapper scripts.

Package: libcdcl7
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libcdcl5 (<< 6.0.2-3~), libcdcl-dbg (<< 6.0.2-3~), libcdcl6 (<< 7)
Replaces: libcdcl5, libcdcl6
Description: GFD-DENNOU Club Library (DCL) - C ver. - shared libraries
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 This package provides C version, contains following libraries:
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provide shared libraries and database files

Package: dcl-c-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: GFD-DENNOU Club Library (DCL) - C ver. - documents
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 This package provides C version, contains following libraries:
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides document and demo programs.
