## dcl-c 7.1.1

=== bin/Makefile ===
--- 
+++ 
@@ -11,14 +11,8 @@
 		  cdclclr$(EXT)  cdcldbs$(EXT) cdclfont$(EXT) cdclpara$(EXT) \
 		  cdcltone$(EXT) cdclcmap$(EXT) crepsl$(EXT) \
 			cdclfontlist$(EXT) cdclsysfont$(EXT) cdclfontdialog$(EXT) \
-		  cdclps2kdraw	cdclpscat	cdclpsfix \
-		  cdclpsfont	cdclpsline	cdclpsmargin \
-		  cdclpsmerge	cdclpsnup	cdclpsrgb2cmyk \
-		  cdclpsrmcm	cdclpsrot	cdclpsselect \
-		  dclpsseparate	dclpsunrot
 
-
-all: $(DCLCONFVER) $(DCLCC)
+all: $(DCLCONFVER) $(DCLFRT) $(DCLCC)
 
 $(DCLCONFVER): dclconfig.org
 	@echo "Making shell script $(DCLCONFVER)"
