=== demo/rakuraku/layout/Makefile ===
#
#       Makefile for layout (rakuraku)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= layout
LIBSRCS		= lay1.c     lay2.c     lay3.c
LIBDEMO		= lay1       lay2       lay3
LIBEXEC		= lay1$(EXT) lay2$(EXT) lay3$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out
