=== src/grph2/ucpack/Makefile ===
#
#       Makefile for ucpack
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= ucpack
LIBFSRCS	= nucchr.c nucday.c uciget.c uciqnp.c uclget.c uclqnp.c \
		  ucrget.c ucrqnp.c ucpget.c ucpqnp.c ucxacl.c ucxady.c \
		  ucxamn.c ucxayr.c ucyacl.c ucyady.c ucyamn.c ucyayr.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= nucchr.o nucday.o uciget.o uciqnp.o uclget.o uclqnp.o \
		  ucrget.o ucrqnp.o ucpget.o ucpqnp.o ucxacl.o ucxady.o \
		  ucxamn.o ucxayr.o ucyacl.o ucyady.o ucyamn.o ucyayr.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
