=== src/grph2/umpack/Makefile ===
#
#       Makefile for umpack
#
#       Copyright (C) 2000 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= umpack
LIBFSRCS	= umpmap.c umqfnm.c umpglb.c umpgrd.c umplim.c uminit.c \
		  umscnt.c umscwd.c umspnt.c umpfit.c umiget.c umiqnp.c \
		  umlget.c umlqnp.c umrget.c umrqnp.c umpget.c umpqnp.c \
		  umspct.c umspcw.c umspwd.c umsppt.c umspdf.c umbndc.c \
		  umbndp.c umbndr.c umqtxy.c umstvz.c umsgrd.c umscom.c \
		  umfmap.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= umpmap.o umqfnm.o umpglb.o umpgrd.o umplim.o uminit.o \
		  umscnt.o umscwd.o umspnt.o umpfit.o umiget.o umiqnp.o \
		  umlget.o umlqnp.o umrget.o umrqnp.o umpget.o umpqnp.o \
		  umspct.o umspcw.o umspwd.o umsppt.o umspdf.o umbndc.o \
		  umbndp.o umbndr.o umqtxy.o umstvz.o umsgrd.o umscom.o \
		  umfmap.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
