=== src/grph2/uvpack/Makefile ===
#
#       Makefile for uvpack
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uvpack
LIBFSRCS	= uverb.c  uverbz.c uvdif.c  uvdifz.c uvbrf.c  uvbrfz.c \
		  uvbra.c  uvbraz.c uvbrl.c  uvbrlz.c uvbxf.c  uvbxfz.c \
		  uvbxa.c  uvbxaz.c uvbxl.c  uvbxlz.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= uverb.o  uverbz.o uvdif.o  uvdifz.o uvbrf.o  uvbrfz.o \
		  uvbra.o  uvbraz.o uvbrl.o  uvbrlz.o uvbxf.o  uvbxfz.o \
		  uvbxa.o  uvbxaz.o uvbxl.o  uvbxlz.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
