=== debian/changelog ===
dcl-c (7.1.1-4) unstable; urgency=medium

  * Fix -fdebug-prefix-map in cdclconfig

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 24 Sep 2016 00:01:38 +0900

dcl-c (7.1.1-3) unstable; urgency=medium

  * Update debian/changelog

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 21 Sep 2016 19:00:12 +0900

dcl-c (7.1.1-2) unstable; urgency=medium

  * Drop obsolete linking

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 20 Sep 2016 18:41:28 +0900

dcl-c (7.1.1-1) unstable; urgency=medium

  * New upstream version 7.1.1
  * Update refresh patches
  * Update package structure, drop Postscript handler

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 20 Sep 2016 17:51:39 +0900
