=== debian/control ===
--- 
+++ 
@@ -7,9 +7,7 @@
 	autotools-dev,
 	libx11-dev,
 	libgtk2.0-dev,
-	libglib2.0-dev,
-	chrpath,
-	rdtool
+	libglib2.0-dev
 Standards-Version: 3.9.8
 Homepage: http://www.gfd-dennou.org/library/dcl
 
@@ -33,10 +31,9 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: dcl-c-utils (<< 7~)
-Replaces: dcl-c-utils (<< 7~)
-Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-dclfonts,
+Depends: ${shlibs:Depends}, ${misc:Depends},
 	libcdcl7 (= ${binary:Version}),
+	fonts-dclfonts,
 	libx11-dev,
 	libgtk2.0-dev,
 	libglib2.0-dev
