## dcl-c 7.1.3

=== lib/Makefile ===
#
#       Makefile for lib
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude


install:
	@-if test $(LIBDIR) != $(LLIBDIR); then \
	  $(CP) $(LDCLLIBFILE) $(DCLLIBFILE); \
	  if test -f $(LDCLSHLIBFILE); then $(CP) $(LDCLSHLIBFILE) $(DCLSHLIBFILE); fi; \
	  $(CP) $(LF2CLIBFILE) $(F2CLIBFILE); \
	  $(CP) $(LDBASEDIR)/* $(DBASEDIR); fi
	$(RANLIB) $(DCLLIBFILE)
	$(RANLIB) $(F2CLIBFILE)

clean: clean.local

distclean: clean.local clean.lib

clean.local:
	$(RM) *~

clean.lib:
	$(RM) $(LDCLLIBFILE)
	$(RM) $(LDCLSHLIBFILE)
	$(RM) $(LDBASEDIR)/*
