=== demo/rakuraku/kihon/Makefile ===
#
#       Makefile for kihon (rakuraku)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= kihon
LIBSRCS		= kihon1.c     kihon2.c     kihon3.c     kihon4.c     \
		  kihon5.c     kihon6.c     kihon7.c     kihon8.c     \
		  kihon9.c     kihona.c     kihonb.c     kihonc.c
LIBDEMO		= kihon1       kihon2       kihon3       kihon4       \
		  kihon5       kihon6       kihon7       kihon8       \
		  kihon9       kihona       kihonb       kihonc
LIBEXEC		= kihon1$(EXT) kihon2$(EXT) kihon3$(EXT) kihon4$(EXT) \
		  kihon5$(EXT) kihon6$(EXT) kihon7$(EXT) kihon8$(EXT) \
		  kihon9$(EXT) kihona$(EXT) kihonb$(EXT) kihonc$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out
