=== doc/grph2/uspack/Makefile ===
#
#       Makefile for grph2/uspack
#

include ../../../Mkinclude

LIBOBJS		= uscnf
EPSFILES	= uscnf_0001.eps


all: mkobj $(EPSFILES) rmobj

mkobj: $(LIBOBJS)

rmobj:
	$(RM) $(LIBOBJS)

uscnf_0001.eps:
	echo 2 | ./uscnf -sw_fname=uscnf -sg_lcorner=.calse. -sw_ifl=2
