=== doc/rakuraku/color/Makefile ===
#
#       Makefile for grph1/append
#

include ../../../Mkinclude

LIBOBJS	= color1
EPSFILES	= colormap1_0001.eps  colormap2_0001.eps  colormap3_0001.eps  colormap4_0001.eps  colormap5_0001.eps \
            colormap6_0001.eps  colormap7_0001.eps  colormap8_0001.eps  colormap9_0001.eps  colormap10_0001.eps \
            colormap11_0001.eps colormap12_0001.eps colormap13_0001.eps colormap14_0001.eps colormap15_0001.eps \
            colormap16_0001.eps colormap17_0001.eps colormap18_0001.eps colormap19_0001.eps colormap20_0001.eps \
            colormap21_0001.eps colormap22_0001.eps colormap23_0001.eps colormap24_0001.eps colormap25_0001.eps \
            colormap26_0001.eps colormap27_0001.eps colormap28_0001.eps colormap29_0001.eps colormap30_0001.eps \
            colormap31_0001.eps colormap32_0001.eps colormap33_0001.eps colormap34_0001.eps colormap35_0001.eps \
            colormap36_0001.eps colormap37_0001.eps colormap38_0001.eps colormap39_0001.eps colormap40_0001.eps \
            colormap41_0001.eps colormap42_0001.eps colormap43_0001.eps colormap44_0001.eps colormap45_0001.eps \
            colormap46_0001.eps colormap47_0001.eps colormap48_0001.eps colormap49_0001.eps colormap50_0001.eps \
            colormap51_0001.eps colormap52_0001.eps colormap53_0001.eps colormap54_0001.eps colormap55_0001.eps \
            colormap56_0001.eps colormap57_0001.eps colormap58_0001.eps colormap59_0001.eps colormap60_0001.eps \
            colormap61_0001.eps colormap62_0001.eps colormap63_0001.eps colormap64_0001.eps colormap65_0001.eps \
            colormap66_0001.eps colormap67_0001.eps colormap68_0001.eps colormap69_0001.eps colormap70_0001.eps \
            colormap71_0001.eps colormap72_0001.eps colormap73_0001.eps colormap74_0001.eps colormap75_0001.eps \
            colormap76_0001.eps colormap77_0001.eps colormap78_0001.eps





all: mkobj $(EPSFILES) rmobj

mkobj: $(LIBOBJS)

rmobj:
	$(RM) $(LIBOBJS)


colormap1_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap1 -sg_lcorner=.calse. -sw_iclrmap=1 -sw_ifl=2

colormap2_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap2 -sg_lcorner=.calse. -sw_iclrmap=2 -sw_ifl=2

colormap3_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap3 -sg_lcorner=.calse. -sw_iclrmap=3 -sw_ifl=2

colormap4_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap4 -sg_lcorner=.calse. -sw_iclrmap=4 -sw_ifl=2

colormap5_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap5 -sg_lcorner=.calse. -sw_iclrmap=5 -sw_ifl=2

colormap6_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap6 -sg_lcorner=.calse. -sw_iclrmap=6 -sw_ifl=2

colormap7_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap7 -sg_lcorner=.calse. -sw_iclrmap=7 -sw_ifl=2

colormap8_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap8 -sg_lcorner=.calse. -sw_iclrmap=8 -sw_ifl=2

colormap9_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap9 -sg_lcorner=.calse. -sw_iclrmap=9 -sw_ifl=2

colormap10_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap10 -sg_lcorner=.calse. -sw_iclrmap=10 -sw_ifl=2

colormap11_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap11 -sg_lcorner=.calse. -sw_iclrmap=11 -sw_ifl=2

colormap12_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap12 -sg_lcorner=.calse. -sw_iclrmap=12 -sw_ifl=2

colormap13_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap13 -sg_lcorner=.calse. -sw_iclrmap=13 -sw_ifl=2

colormap14_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap14 -sg_lcorner=.calse. -sw_iclrmap=14 -sw_ifl=2

colormap15_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap15 -sg_lcorner=.calse. -sw_iclrmap=15 -sw_ifl=2

colormap16_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap16 -sg_lcorner=.calse. -sw_iclrmap=16 -sw_ifl=2

colormap17_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap17 -sg_lcorner=.calse. -sw_iclrmap=17 -sw_ifl=2

colormap18_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap18 -sg_lcorner=.calse. -sw_iclrmap=18 -sw_ifl=2

colormap19_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap19 -sg_lcorner=.calse. -sw_iclrmap=19 -sw_ifl=2

colormap20_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap20 -sg_lcorner=.calse. -sw_iclrmap=20 -sw_ifl=2

colormap21_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap21 -sg_lcorner=.calse. -sw_iclrmap=21 -sw_ifl=2

colormap22_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap22 -sg_lcorner=.calse. -sw_iclrmap=22 -sw_ifl=2

colormap23_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap23 -sg_lcorner=.calse. -sw_iclrmap=23 -sw_ifl=2

colormap24_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap24 -sg_lcorner=.calse. -sw_iclrmap=24 -sw_ifl=2

colormap25_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap25 -sg_lcorner=.calse. -sw_iclrmap=25 -sw_ifl=2

colormap26_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap26 -sg_lcorner=.calse. -sw_iclrmap=26 -sw_ifl=2

colormap27_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap27 -sg_lcorner=.calse. -sw_iclrmap=27 -sw_ifl=2

colormap28_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap28 -sg_lcorner=.calse. -sw_iclrmap=28 -sw_ifl=2

colormap29_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap29 -sg_lcorner=.calse. -sw_iclrmap=29 -sw_ifl=2

colormap30_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap30 -sg_lcorner=.calse. -sw_iclrmap=30 -sw_ifl=2

colormap31_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap31 -sg_lcorner=.calse. -sw_iclrmap=31 -sw_ifl=2

colormap32_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap32 -sg_lcorner=.calse. -sw_iclrmap=32 -sw_ifl=2

colormap33_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap33 -sg_lcorner=.calse. -sw_iclrmap=33 -sw_ifl=2

colormap34_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap34 -sg_lcorner=.calse. -sw_iclrmap=34 -sw_ifl=2

colormap35_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap35 -sg_lcorner=.calse. -sw_iclrmap=35 -sw_ifl=2

colormap36_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap36 -sg_lcorner=.calse. -sw_iclrmap=36 -sw_ifl=2

colormap37_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap37 -sg_lcorner=.calse. -sw_iclrmap=37 -sw_ifl=2

colormap38_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap38 -sg_lcorner=.calse. -sw_iclrmap=38 -sw_ifl=2

colormap39_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap39 -sg_lcorner=.calse. -sw_iclrmap=39 -sw_ifl=2

colormap40_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap40 -sg_lcorner=.calse. -sw_iclrmap=40 -sw_ifl=2

colormap41_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap41 -sg_lcorner=.calse. -sw_iclrmap=41 -sw_ifl=2

colormap42_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap42 -sg_lcorner=.calse. -sw_iclrmap=42 -sw_ifl=2

colormap43_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap43 -sg_lcorner=.calse. -sw_iclrmap=43 -sw_ifl=2

colormap44_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap44 -sg_lcorner=.calse. -sw_iclrmap=44 -sw_ifl=2

colormap45_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap45 -sg_lcorner=.calse. -sw_iclrmap=45 -sw_ifl=2

colormap46_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap46 -sg_lcorner=.calse. -sw_iclrmap=46 -sw_ifl=2

colormap47_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap47 -sg_lcorner=.calse. -sw_iclrmap=47 -sw_ifl=2

colormap48_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap48 -sg_lcorner=.calse. -sw_iclrmap=48 -sw_ifl=2

colormap49_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap49 -sg_lcorner=.calse. -sw_iclrmap=49 -sw_ifl=2

colormap50_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap50 -sg_lcorner=.calse. -sw_iclrmap=50 -sw_ifl=2

colormap51_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap51 -sg_lcorner=.calse. -sw_iclrmap=51 -sw_ifl=2

colormap52_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap52 -sg_lcorner=.calse. -sw_iclrmap=52 -sw_ifl=2

colormap53_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap53 -sg_lcorner=.calse. -sw_iclrmap=53 -sw_ifl=2

colormap54_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap54 -sg_lcorner=.calse. -sw_iclrmap=54 -sw_ifl=2

colormap55_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap55 -sg_lcorner=.calse. -sw_iclrmap=55 -sw_ifl=2

colormap56_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap56 -sg_lcorner=.calse. -sw_iclrmap=56 -sw_ifl=2

colormap57_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap57 -sg_lcorner=.calse. -sw_iclrmap=57 -sw_ifl=2

colormap58_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap58 -sg_lcorner=.calse. -sw_iclrmap=58 -sw_ifl=2

colormap59_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap59 -sg_lcorner=.calse. -sw_iclrmap=59 -sw_ifl=2

colormap60_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap60 -sg_lcorner=.calse. -sw_iclrmap=60 -sw_ifl=2

colormap61_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap61 -sg_lcorner=.calse. -sw_iclrmap=61 -sw_ifl=2

colormap62_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap62 -sg_lcorner=.calse. -sw_iclrmap=62 -sw_ifl=2

colormap63_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap63 -sg_lcorner=.calse. -sw_iclrmap=63 -sw_ifl=2

colormap64_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap64 -sg_lcorner=.calse. -sw_iclrmap=64 -sw_ifl=2

colormap65_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap65 -sg_lcorner=.calse. -sw_iclrmap=65 -sw_ifl=2

colormap66_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap66 -sg_lcorner=.calse. -sw_iclrmap=66 -sw_ifl=2

colormap67_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap67 -sg_lcorner=.calse. -sw_iclrmap=67 -sw_ifl=2

colormap68_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap68 -sg_lcorner=.calse. -sw_iclrmap=68 -sw_ifl=2

colormap69_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap69 -sg_lcorner=.calse. -sw_iclrmap=69 -sw_ifl=2

colormap70_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap70 -sg_lcorner=.calse. -sw_iclrmap=70 -sw_ifl=2

colormap71_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap71 -sg_lcorner=.calse. -sw_iclrmap=71 -sw_ifl=2

colormap72_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap72 -sg_lcorner=.calse. -sw_iclrmap=72 -sw_ifl=2

colormap73_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap73 -sg_lcorner=.calse. -sw_iclrmap=73 -sw_ifl=2

colormap74_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap74 -sg_lcorner=.calse. -sw_iclrmap=74 -sw_ifl=2

colormap75_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap75 -sg_lcorner=.calse. -sw_iclrmap=75 -sw_ifl=2

colormap76_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap76 -sg_lcorner=.calse. -sw_iclrmap=76 -sw_ifl=2

colormap77_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap77 -sg_lcorner=.calse. -sw_iclrmap=77 -sw_ifl=2

colormap78_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap78 -sg_lcorner=.calse. -sw_iclrmap=78 -sw_ifl=2
