=== src/grph1/slpack/Makefile ===
#
#       Makefile for slpack
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= slpack
LIBFSRCS	= slinit.c sldiv.c  slmgn.c  slrat.c  slqrct.c slpage.c \
		  slpcnr.c slsttl.c sltlcv.c slpvpr.c slpwwr.c slpwvr.c \
		  slpvpc.c slpwwc.c slpwvc.c slzttl.c sldivz.c slmgnz.c \
		  slratz.c slqsiz.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= slinit.o sldiv.o  slmgn.o  slrat.o  slqrct.o slpage.o \
		  slpcnr.o slsttl.o sltlcv.o slpvpr.o slpwwr.o slpwvr.o \
		  slpvpc.o slpwwc.o slpwvc.o slzttl.o sldivz.o slmgnz.o \
		  slratz.o slqsiz.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
