=== src/grph2/oldsrc/Makefile ===
#
#       Makefile for oldsrc
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= oldsrc
LIBFSRCS	= ubpget.c ubplu.c  ubplzu.c ubplzv.c udsgxa.c udsgya.c \
		  uesgxa.c uesgya.c uflnu.c  uflnzr.c uflnzu.c uflnzv.c \
		  ufpget.c ugsgxa.c ugsgya.c umpout.c umstrf.c ussntr.c \
		  ussvpt.c usswnd.c uspget.c usgrpx.c usgrpy.c ussxex.c \
		  ussyex.c usaxis.c usstrf.c usurdu.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= ubpget.o ubplu.o  ubplzu.o ubplzv.o udsgxa.o udsgya.o \
		  uesgxa.o uesgya.o uflnu.o  uflnzr.o uflnzu.o uflnzv.o \
		  ufpget.o ugsgxa.o ugsgya.o umpout.o umstrf.o ussntr.o \
		  ussvpt.o usswnd.o uspget.o usgrpx.o usgrpy.o ussxex.o \
		  ussyex.o usaxis.o usstrf.o usurdu.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
