=== debian/changelog ===
dcl-c (7.1.3-1+0~20161130092850.26~1.gbp17e4a1) unstable; urgency=medium

  ** SNAPSHOT build @17e4a186271fef526a28a3566449b992a6e48ec6 **

  [ Youhei SASAKI ]
  * Refresh patches, Add Replace-MAIN__-to-main.patch

  [ Jenkins Autobuilder ]

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Wed, 30 Nov 2016 18:28:52 +0900

dcl-c (7.1.3-1) unstable; urgency=medium

  * Upload Debian unstable (Closes: #841402)
  * New upstream version 7.1.3

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 30 Nov 2016 17:15:06 +0900

dcl-c (7.1.2-1) unstable; urgency=medium

  * New upstream version 7.1.2

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 20 Oct 2016 18:23:37 +0900
