=== debian/control ===
--- 
+++ 
@@ -10,6 +10,9 @@
 	libglib2.0-dev
 Standards-Version: 3.9.8
 Homepage: http://www.gfd-dennou.org/library/dcl
+Vcs-Git: https://anonscm.debian.org/git/users/uwabami-guest/dcl-c.git
+Vcs-Browser: https://anonscm.debian.org/git/users/uwabami-guest/dcl-c.git
+
 
 Package: dcl-c
 Architecture: all
