=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DPKG_EXPORT_BUILDFLAGS=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk
FFLAGS += -fPIC
CFLAGS += -fPIC
DCLVERNUM=7.1.3
DCLVER=713

%:
	dh $@

override_dh_auto_configure:
	$(shell ! grep -q jessie /etc/os-release || \
	  echo "activate-noawait ldconfig" > $(CURDIR)/debian/libcdcl7.triggers )
	CC=gcc dh_auto_configure --

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr
	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr
	rm $(CURDIR)/debian/tmp/usr/bin/cdclconfig
	mv $(CURDIR)/debian/tmp/usr/bin/cdclconfig$(DCLVER) \
	  $(CURDIR)/debian/tmp/usr/bin/cdclconfig
	$(CC) $(LDFLAGS) -shared -Wl,-soname,libf2c4dcl.so.7 \
	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf2c4dcl.so.$(DCLVERNUM) \
	  `find $(CURDIR)/f2csrc -name \*.o`
	$(CC) $(LDFLAGS) -shared -Wl,-soname,libcdcl.so.7 \
	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcdcl.so.$(DCLVERNUM) \
	  `find $(CURDIR)/src -name \*.o`
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \
	  ln -s libcdcl.so.$(DCLVERNUM) libcdcl.so.7 )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \
	  ln -s libcdcl.so.$(DCLVERNUM) libcdcl.so )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \
	  ln -s libf2c4dcl.so.$(DCLVERNUM) libf2c4dcl.so.7 )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \
	  ln -s libf2c4dcl.so.$(DCLVERNUM) libf2c4dcl.so )

override_dh_install:
	dh_install --sourcedir=debian/tmp
	sed -i -e 's%-fdebug-prefix-map=$(CURDIR)=.%%g ' \
	  $(CURDIR)/debian/libcdcl-dev/usr/bin/cdclconfig
	cp -ar demo $(CURDIR)/debian/dcl-c-docs/usr/share/doc/dcl-c-docs/
	cp -ar doc $(CURDIR)/debian/dcl-c-docs/usr/share/doc/dcl-c-docs/
	find $(CURDIR)/debian/dcl-c-docs/ -name Makefile.win | xargs rm -f

override_dh_auto_clean:
	[ ! -f Mkinclude ] || $(MAKE) distclean
	dh_auto_clean
	rm -f $(CURDIR)/debian/*.1
	rm -f $(CURDIR)/bin/cdclpsseparate
	rm -f $(CURDIR)/bin/cdclpsunrot

override_dh_compress:
	dh_compress -X.png -X.f -X.dat

override_dh_installchangelogs:
	dh_installchangelogs --all --keep HISTORY

override_dh_installdocs:
	dh_installdocs -A README CREDITS
